org.eclipse.rdf4j.query.parser.sparql

## Class PrefixDeclProcessor

- java.lang.Object
- - org.eclipse.rdf4j.query.parser.sparql.PrefixDeclProcessor

- Deprecated.
  since 3.0. This feature is for internal use only: its existence, signature or behavior may change without warning from one release to the next.

      @Deprecated
       @InternalUseOnly
      public class PrefixDeclProcessor
      extends Object

  Processes the prefix declarations in a SPARQL query model.
  Author:
    Arjohn Kampman

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PrefixDeclProcessor()` Deprecated.

  - ### Method Summary

    All Methods Static Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Map<String,String>` | `process(org.eclipse.rdf4j.query.parser.sparql.ast.ASTOperationContainer qc)` Deprecated. Processes prefix declarations in queries.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PrefixDeclProcessor

          public PrefixDeclProcessor()

      Deprecated.

  - ### Method Detail

    - #### process

          public static Map<String,String> process(org.eclipse.rdf4j.query.parser.sparql.ast.ASTOperationContainer qc)
                                            throws MalformedQueryException

      Deprecated.
      Processes prefix declarations in queries. This method collects all prefixes that are declared in the supplied query, verifies that prefixes are not redefined and replaces any `ASTQName` nodes in the query with equivalent `ASTIRI` nodes.
      Parameters:
        `qc` - The query that needs to be processed.
      Returns:
        A map containing the prefixes that are declared in the query (key) and the namespace they map to (value).
      Throws:
        `MalformedQueryException` - If the query contains redefined prefixes or qnames that use undefined prefixes.

Copyright © 2015-2020 Eclipse Foundation. All Rights Reserved.